Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# TAO_UIOP_Acceptor Class Reference

The UIOP-specific bridge class for the concrete acceptor. More...

`#include <UIOP_Acceptor.h>`

Inheritance diagram for TAO_UIOP_Acceptor:

[legend]
Collaboration diagram for TAO_UIOP_Acceptor:

[legend]
List of all members.

## Public Types
typedef ACE_Strategy_Acceptor< TAO_UIOP_Connection_Handler, ACE_LSOCK_ACCEPTOR > | TAO_UIOP_BASE_ACCEPTOR
typedef TAO_Creation_Strategy< TAO_UIOP_Connection_Handler > | TAO_UIOP_CREATION_STRATEGY
typedef TAO_Concurrency_Strategy< TAO_UIOP_Connection_Handler > | TAO_UIOP_CONCURRENCY_STRATEGY
typedef TAO_Accept_Strategy< TAO_UIOP_Connection_Handler, ACE_LSOCK_ACCEPTOR > | TAO_UIOP_ACCEPT_STRATEGY
## Public Methods
| TAO_UIOP_Acceptor (CORBA::Boolean flag=0)
| Create Acceptor object using addr. More...
virtual | ~TAO_UIOP_Acceptor (void)
| Destructor. More...
The TAO_Acceptor Methods
Please check the documentation in Transport_Acceptor.h for details.
virtual int | open (TAO_ORB_Core *orb_core, ACE_Reactor *reactor, int version_major, int version_minor, const char *address, const char *options=0)
virtual int | open_default (TAO_ORB_Core *orb_core, ACE_Reactor *reactor, int version_major, int version_minor, const char *options=0)
virtual int | close (void)
virtual int | create_profile (const TAO_ObjectKey &object_key, TAO_MProfile &mprofile, CORBA::Short priority)
virtual int | is_collocated (const TAO_Endpoint *endpoint)
virtual CORBA::ULong | endpoint_count (void)
virtual int | object_key (IOP::TaggedProfile &profile, TAO_ObjectKey &key)
## Private Methods
int | open_i (const char *rendezvous, ACE_Reactor *reactor)
| Implement the common part of the open*() methods. More...
void | rendezvous_point (ACE_UNIX_Addr &, const char *rendezvous)
| Set the rendezvous point and verify that it is valid (e.g. wasn't truncated because it was too long). More...
int | parse_options (const char *options)
| Parse protocol specific options. More...
int | init_uiop_properties (void)
| Obtains uiop properties that must be used by this acceptor, i.e., initializes <uiop_properties_>. More...
int | create_new_profile (const TAO_ObjectKey &object_key, TAO_MProfile &mprofile, CORBA::Short priority)
| Create a UIOP profile representing this acceptor. More...
int | create_shared_profile (const TAO_ObjectKey &object_key, TAO_MProfile &mprofile, CORBA::Short priority)
| Add the endpoints on this acceptor to a shared profile. More...
## Private Attributes
TAO_UIOP_BASE_ACCEPTOR | base_acceptor_
| The concrete acceptor, as a pointer to its base class. More...
TAO_UIOP_CREATION_STRATEGY * | creation_strategy_
TAO_UIOP_CONCURRENCY_STRATEGY * | concurrency_strategy_
TAO_UIOP_ACCEPT_STRATEGY * | accept_strategy_
TAO_GIOP_Message_Version | version_
| The GIOP version for this endpoint. More...
TAO_ORB_Core * | orb_core_
| ORB Core. More...
int | unlink_on_close_
| Flag that determines whether or not the rendezvous point should be unlinked on close. This is really only used when an error occurs. More...
CORBA::Boolean | lite_flag_
| Should we use GIOP lite?? More...
TAO_UIOP_Properties | uiop_properties_
| Properties for all connections accepted by this acceptor. More...

## Detailed Description

The UIOP-specific bridge class for the concrete acceptor.

## Member Typedef Documentation

typedef TAO_Accept_Strategy<TAO_UIOP_Connection_Handler, ACE_LSOCK_ACCEPTOR> TAO_UIOP_Acceptor::TAO_UIOP_ACCEPT_STRATEGY

typedef ACE_Strategy_Acceptor<TAO_UIOP_Connection_Handler, ACE_LSOCK_ACCEPTOR> TAO_UIOP_Acceptor::TAO_UIOP_BASE_ACCEPTOR

typedef TAO_Concurrency_Strategy<TAO_UIOP_Connection_Handler> TAO_UIOP_Acceptor::TAO_UIOP_CONCURRENCY_STRATEGY

typedef TAO_Creation_Strategy<TAO_UIOP_Connection_Handler> TAO_UIOP_Acceptor::TAO_UIOP_CREATION_STRATEGY

## Constructor & Destructor Documentation

TAO_UIOP_Acceptor::TAO_UIOP_Acceptor | ( | CORBA::Boolean | flag = 0 | ) |

| Create Acceptor object using addr.

TAO_UIOP_Acceptor::~TAO_UIOP_Acceptor | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int TAO_UIOP_Acceptor::close | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Acceptor.

int TAO_UIOP_Acceptor::create_new_profile | ( | const TAO_ObjectKey & | object_key,
|  | TAO_MProfile & | mprofile,
|  | CORBA::Short | priority
| ) | `[private]`

| Create a UIOP profile representing this acceptor.

int TAO_UIOP_Acceptor::create_profile | ( | const TAO_ObjectKey & | object_key,
|  | TAO_MProfile & | mprofile,
|  | CORBA::Short | priority
| ) | `[virtual]`

| Reimplemented from TAO_Acceptor.

int TAO_UIOP_Acceptor::create_shared_profile | ( | const TAO_ObjectKey & | object_key,
|  | TAO_MProfile & | mprofile,
|  | CORBA::Short | priority
| ) | `[private]`

| Add the endpoints on this acceptor to a shared profile.

CORBA::ULong TAO_UIOP_Acceptor::endpoint_count | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Acceptor.

int TAO_UIOP_Acceptor::init_uiop_properties | ( | void |  | ) | `[private]`

| Obtains uiop properties that must be used by this acceptor, i.e., initializes <uiop_properties_>.

int TAO_UIOP_Acceptor::is_collocated | ( | const TAO_Endpoint * | endpoint | ) | `[virtual]`

| Reimplemented from TAO_Acceptor.

int TAO_UIOP_Acceptor::object_key | ( | IOP::TaggedProfile & | profile,
|  | TAO_ObjectKey & | object_key
| ) | `[virtual]`

| Reimplemented from TAO_Acceptor.

int TAO_UIOP_Acceptor::open | ( | TAO_ORB_Core * | orb_core,
|  | ACE_Reactor * | reactor,
|  | int | major,
|  | int | minor,
|  | const char * | address,
|  | const char * | options = 0
| ) | `[virtual]`

| Reimplemented from TAO_Acceptor.

int TAO_UIOP_Acceptor::open_default | ( | TAO_ORB_Core * | orb_core,
|  | ACE_Reactor * | reactor,
|  | int | major,
|  | int | minor,
|  | const char * | options = 0
| ) | `[virtual]`

| Reimplemented from TAO_Acceptor.

int TAO_UIOP_Acceptor::open_i | ( | const char * | rendezvous,
|  | ACE_Reactor * | reactor
| ) | `[private]`

| Implement the common part of the open*() methods.

int TAO_UIOP_Acceptor::parse_options | ( | const char * | str | ) | `[private]`

| Parse protocol specific options.

void TAO_UIOP_Acceptor::rendezvous_point | ( | ACE_UNIX_Addr & | addr,
|  | const char * | rendezvous
| ) | `[private]`

| Set the rendezvous point and verify that it is valid (e.g. wasn't truncated because it was too long).

## Member Data Documentation

TAO_UIOP_ACCEPT_STRATEGY* TAO_UIOP_Acceptor::accept_strategy_`[private]`

TAO_UIOP_BASE_ACCEPTOR TAO_UIOP_Acceptor::base_acceptor_`[private]`

| The concrete acceptor, as a pointer to its base class.

TAO_UIOP_CONCURRENCY_STRATEGY* TAO_UIOP_Acceptor::concurrency_strategy_`[private]`

TAO_UIOP_CREATION_STRATEGY* TAO_UIOP_Acceptor::creation_strategy_`[private]`

CORBA::Boolean TAO_UIOP_Acceptor::lite_flag_`[private]`

| Should we use GIOP lite??

TAO_ORB_Core* TAO_UIOP_Acceptor::orb_core_`[private]`

| ORB Core.

TAO_UIOP_Properties TAO_UIOP_Acceptor::uiop_properties_`[private]`

| Properties for all connections accepted by this acceptor.

int TAO_UIOP_Acceptor::unlink_on_close_`[private]`

| Flag that determines whether or not the rendezvous point should be unlinked on close. This is really only used when an error occurs.

TAO_GIOP_Message_Version TAO_UIOP_Acceptor::version_`[private]`

| The GIOP version for this endpoint.

The documentation for this class was generated from the following files:

- UIOP_Acceptor.h
- UIOP_Acceptor.cpp